Listar regras de platform fee
curl --request GET \
--url https://api.malga.io/v1/merchants/{merchantId}/platform-fee \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/merchants/{merchantId}/platform-fee"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/merchants/{merchantId}/platform-fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"platformFeeEnabled": true,
"rules": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"paymentMethod": "credit",
"percentage": 3.5,
"fixedAmount": 50,
"installment": 3,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"paymentMethod": "pix",
"percentage": null,
"fixedAmount": 50,
"installment": null,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
},
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"paymentMethod": "boleto",
"percentage": 1,
"fixedAmount": 100,
"installment": null,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}
]
}Platform Fee
Listar regras de platform fee
GET
/
v1
/
merchants
/
{merchantId}
/
platform-fee
Listar regras de platform fee
Path Parameters
Identificador do merchant
Was this page helpful?
⌘I